<style type="text/css">
  /*.task-block-line {
    color: #f1a30d !important;
    font-weight: bold !important;
    background-color: #fff !important;
    border: 1px solid #f1a30d !important;
    box-shadow: inset 1px 1px #f1a30d !important;
  }
  .task-cause-line {
    color: #347faf !important;
    font-weight: bold !important;
    background-color: #fff !important;
    border: 1px solid #347faf !important;
    box-shadow: inset 1px 1px #347faf !important;
  }

  .task-line td {
    color: #4c7496 !important;
  }
  .task-line-root td {
    background: linear-gradient(#d7e1ee, white) !important;
  }*/

  /* Spinner */
  .prowhy_spinner {
    background-color: rgba(200,200,200,0.7);
    padding: 20px;
    border-radius: 5px;
    position: fixed;
    font-size: 1.2em;
    color: #e1652e !important;
    top: 30%;
    left: 50%;
    margin-left: -4em;
  }
</style>

<a class='prowhy_spinner'><i class="fa fa-spinner fa-spin"></i> wait...</a>

<div class="admin-col" style="background-color: transparent !important">
  <div class="admin-col-title" style="background-color: transparent !important"><%= t('tasks.filters_title') %></div>
  <div class="admin-col-content">
    <div class="row">
      <div class='col-lg-6' style='padding-bottom: 5px;'>
        <div class="row">
          <div class='col-8'>
            <input class="search-tasks form-control" data-column="all" type="search" id="search-text" placeholder="Filter table content" >
            <br/>
            <button class='btn btn-outline-dark btn-sm' id='tasks-open-all' style="white-space: nowrap;"><%= t('tasks.deploy_tasks') %></button>
            <button class='btn btn-outline-dark btn-sm' id='tasks-close-all' style="white-space: nowrap;"><%= t('tasks.reduce_tasks') %></button>
          </div>
          <div class='col-4'>
            <button type='button' class="reset-tasks btn btn-outline-dark" style="white-space: nowrap; float: right;"><%= t('tasks.reset_filter') %></button>
          </div>
        </div>
      </div>

      <!-- <div class='row'> -->
      <div class='col-lg-6' style='padding-bottom: 5px;border-left: 1px solid #aaa;'>
        <%#= form_with url: tools_tasks_index_js_path(format: :pdf), method: :get, local: true do |form| %>
        <%= form_with url: tools_tasks_index_js_path, method: :get do |form| %>
          <%= hidden_field_tag 'rca', @rca.id if @rca %>
          <%= hidden_field_tag 'step_tool', @step_tool.id %>
          <%= hidden_field_tag 'user_plan_options[options]', true %>

          <%= hidden_field_tag 'user_plan_options[efficacity]', plan_options[:efficacity] %>
          <%= hidden_field_tag 'user_plan_options[matrix]', plan_options[:matrix] %>
          <%= hidden_field_tag 'user_plan_options[validation]', plan_options[:validation] %>
          <%= hidden_field_tag 'user_plan_options[blocks_column]', plan_options[:blocks_column] %>
          <%= hidden_field_tag 'user_plan_options[causes]', 'false' %>
          <%= hidden_field_tag 'user_plan_options[rcas]', 'false' %>
          <%= hidden_field_tag 'user_plan_options[type_plan]', plan_options[:type_plan] %>
          <%= hidden_field_tag 'user_plan_options[sub_type_plan]', plan_options[:sub_type_plan] %>
          <%= hidden_field_tag 'user_plan_options[check_list]', plan_options[:check_list] %>

          <div class="form-check form-check-inline">
            <% if @rca && plan_options[:sub_type_plan] == 'normal'%>
              <%= check_box_tag 'user_plan_options[causes]', 'true', plan_options[:causes], class: "form-check-input check-box-save",
                                                                    id: "user_plan_options_causes_#{@step_tool.id}" %>
              <label class="form-check-label tasks-order-by" for="user_plan_options_causes_<%=@step_tool.id%>"><%= t('tasks.order_causes') %></label>
            <% else %>
              <%= check_box_tag 'user_plan_options[rcas]', 'true', plan_options[:rcas], class: "form-check-input check-box-save",
                                                                    id: "user_plan_options_rcas_#{@step_tool.id}" %>
              <label class="form-check-label tasks-order-by" for="user_plan_options_rcas_<%=@step_tool.id%>"><%= t('tasks.order_rcas') %></label>
            <% end %>
          </div>
          <%= submit_tag 'Valid', id: 'valid-options', class: 'btn btn-outline-dark prowhy_show_spinner', style: "white-space: nowrap; float: right;" # , style: 'visibility: hidden;'
          %>
          <br>
          <% if task_types_options %>
            <div class="form-check form-check-inline">
              <%= hidden_field_tag 'user_plan_options[blocks]', 'false' %>
              <%= check_box_tag 'user_plan_options[blocks]', 'true', plan_options[:blocks], class: "form-check-input check-box-save",
                                                                     id: "user_plan_options_blocks_#{@step_tool.id}" %>
              <label class="form-check-label" for="user_plan_options_blocks_<%=@step_tool.id%>"><%= t('tasks.order_action_type') %></label>
            </div>
          <% else %>
            <%= hidden_field_tag 'user_plan_options[blocks]', plan_options[:blocks] %>
          <% end %>

          <%#= submit_tag 'EXPORT PDF', id: 'export-pdf', class: 'btn btn-outline-dark' %>
        <% end %>
      </div>
    </div>
  </div>
</div>

<%= form_with url: tools_tasks_send_emails_path, method: :get do |form| %>
  <button type="submit" disabled style="display: none" aria-hidden="true"></button>

  <div id='tasks-plan-all' class="admin-col">

  </div>

  <br>
  <!-- <div id="email_response"></div> -->
<% end %>

<script>
  $(function() {
    function set_check_box_states_local_storage(name, validbutton) {
      console.log('FUNCTION!!!!!!!!!!!!!!!!!!!!!!!');
      $(name).each(function(){
        var checkb = localStorage.getItem($(this).attr('id'));
        if (checkb != null) {
          console.log("Set checked ===========+++++++>");
          console.log(checkb)
          if (checkb == 'true') { $(this).prop( "checked", true );}
          else if (checkb == 'false') {  $(this).prop( "checked", false ); }
          else { console.log('On ne fait rien.....!')}
          // $(this).prop( "checked", checkb );
        }
      });
      $(validbutton).trigger('click');
    }
    // Check Boxes : load states
    set_check_box_states_local_storage('.check-box-save', '#valid-options');

    // Vide la liste du column selector pour ne pas dupliquer les entrees
    // => sinon il faut déplacer ce bouton dans le partiel _index.
    // $('#valid-options').click(function(){
    //   $('#columnSelector').html('');
    // });

    // Check Boxes : save states
    $('.check-box-save').click(function(){
      if($(this).is(':checked')) {
        localStorage.setItem($(this).attr('id'), true);
      }
      else {
        localStorage.setItem($(this).attr('id'), false);
      }
      console.log("SAVE !");
      console.log(localStorage.getItem($(this).attr('id')));
    });

    // spinner => Affichage du spinner
    $(".prowhy_spinner").show();
  });
</script>
